%define oname    optparse
%define oversion 0.12
%define ruby     /usr/bin/ruby
%define rbindir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["bindir"]')
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["sitedir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["sitearchdir"]')

Summary: A command line option parser class for Ruby
Name: ruby-%{oname}
Version: %{oversion}
Release: 1
License: distributable
Group: Development/Languages
Source0: http://member.nifty.ne.jp/nokada/archive/%{oname}-%{version}.tar.gz
URL: http://member.nifty.ne.jp/nokada/ruby.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby
Requires: ruby
Summary(ja): ޥɥ饤󥪥ץϤRubyѤΥ饹饤֥

%description
Parser for command line options.

A command line option parser class for Ruby, which supports short and
crunchable switches and long(GNU-style) switches. Also arguments to
switches are converted automatically.

And this also provides option summary.

%description -l ja
ޥɥ饤󥪥ץΥѡǤGNUĹå
ûåξ򥵥ݡȤƤޤޤåͿ줿
ưŪѴǤޤ

%prep
%setup -q -c

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{rlibdir}

# installing binaries ...
cd %{oname}-%{version}
ruby install.rb --destdir=${RPM_BUILD_ROOT}%{rlibdir} more
cd ..

# listing all files in optparse-all.files
(find $RPM_BUILD_ROOT -type f -o -type l) | \
 sort | sed -e "s,^$RPM_BUILD_ROOT,," > optparse-all.files

# installing man pages
cd %{oname}-%{version}
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man1
install optparse.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1
cd ..

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files

%files -f optparse-all.files
%defattr(-, root, root)
%doc %{oname}-%{version}/ChangeLog
%doc %{oname}-%{version}/ChangeLog.html
%doc %{oname}-%{version}/README.en
%doc %{oname}-%{version}/README.ja
%doc %{oname}-%{version}/FIRSTSTEP.ja.rd
%doc %{oname}-%{version}/optparse.ja.rd
%doc %{oname}-%{version}/cmd.rb
%doc %{oname}-%{version}/cmd-ls.rb
%doc %{oname}-%{version}/getopts.test
%doc %{oname}-%{version}/getopts.test.en
%doc %{oname}-%{version}/opttest.rb
%doc %{oname}-%{version}/opttest.rb
%doc %{oname}-%{version}/optparse.html
%doc %{oname}-%{version}/optparse.ja.1
%doc %{oname}-%{version}/optparse.ja.html
%doc %{oname}-%{version}/optparse.ja.rd
%doc %{oname}-%{version}/rmi.html
%{_mandir}/man1/optparse.1*

%changelog
* Fri Jun 27 2003 Ian Macdonald <ian@caliban.org> 0.12-1
- -.12

* Tue Mar 26 2002 Ian Macdonald <ian@caliban.org>
- included more documentation

* Tue Apr 10 2001 Nobuyoshi Nakada <nobu.nakada@nifty.ne.jp>
- 0.7.10

* Tue Mar 27 2001 Akira Yamada <akira@vinelinux.org>
- Initial packaging.
